.Button {
  color: #fff;
  font: inherit;
  border-radius: 8px;
  border: none;
  cursor: pointer;
  line-height: 20px;
  transition: 0.2s ease all;
  display: flex;
  align-items: center;
  justify-content: center;

  &__container{
    position: relative;
    z-index: 1;
    display: flex;
    align-items: center;
    gap: 4px;
  }

  &--size {
    &-sm {
      height: 30px;
      padding: 0 24px;
    } 

    &-md {
      height: 36px;
      padding: 0 32px;
    } 

    &-lg {
      height: 40px;
      padding: 0 36px;
    } 
  }

  &--variant {
    &-primary {
      background: #2E78E8;
      color: #fff;
    }

    &-secondary {
      background: #E7F0F2;
      color: #444;
    }

    &-transparent {
      background: transparent;
      padding: 0;
      height: auto;
      width: auto;
    }
  }

  &--disabled {
    cursor: not-allowed;
    opacity: 0.3;
  }
}